Visual Voicemail phone compatibility issues

Options
Juan A. #3451
Juan A. #3451 Posts: 2 ✭✭

I can't download the app, it says "This app is not available for your device". I have the Samsung Galaxy S20 FE 5G, bought it a month ago. The visual voice mail description does not specifies which android phones works with the app. Does anyone has this compatibility information available?.

BTW, I can see my phone registered on the play store, so is not an issue that my phone is not registered add it to my account or anything like that.

Answers

  • MyriamC
    MyriamC Posts: 920 ✭✭
    edited October 2021
    Options

    Once your plan is set, you just need to set up your phone.  

    • Android members > Download the Fizz | Visual voicemail app on Google Play. 
    • Apple members > You need iOS 15 or a later version, with a iPhone 6S or more recent.  
      1. Any issues, and you've verified you're using iOS 15 or later please turn your device on/off
      2. If you power-cycled your device and are still having the same issue, please send the following text: "STATE to 44744" this should do the trick.

     Need more details? Check out our FAQ.  

  • Juan A. #3451
    Juan A. #3451 Posts: 2 ✭✭
    Options

    Again: I can't download the app, google play says : "This app is not available for your device".

  • Whizz
    Whizz Posts: 20,524 admin
    Options

    Hello Juan A. #345,

    I am sorry to hear about this situation.
    Please make sure that your phone's system is updated and also that Google Play is also updated.
    Also, please make sure that you are using mobile data after the application is installed to use it. 
    Here you can also find more information: https://fizz.ca/en/faq/whats-visual-voicemail-and-how-does-it-work
    if the issue persists please contact our support team. 

    Have a lovely day,
    -Alex